%define ttfdir %_x11libdir/X11/fonts/tibetan-ttf

Name: tibetan-fonts-ttf
Version: 1.0
Release: alt1

Summary: Free Tibetan TrueType font
Summary (ru_RU.UTF-8): Тибетский TrueType шрифт 
License: GPL
Group: System/Fonts/True type
Url: http://www.yudit.org/download/fonts
Source: utibetan.tar.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
This Package provides a free Tibetan TrueType font.

%description -l ru_RU.UTF-8
В этом пакете находится тибетский TrueType шрифт. 

%prep
%setup -q -n utibetan

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%ttfdir/fonts.dir

cd $RPM_BUILD_ROOT%ttfdir
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir
%doc utibetan.txt

%changelog
* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
